Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class PatternPaintContext

    java.lang.Object
      org.apache.batik.gvt.PatternPaintContext

All Implemented Interfaces:
  PaintContext

    public class PatternPaintContext

extends Object
implements PaintContext

`PaintContext` for the `ConcretePatterPaint` paint implementation.

Field Summary
`protected AffineTransform` | `usr2dev`

Constructor Summary
`PatternPaintContext(ColorModel destCM, AffineTransform usr2dev, RenderingHints hints, Filter tile, Rectangle2D patternRegion, boolean overflow)`

Method Summary
`void` | `dispose()`
`ColorModel` | `getColorModel()`
`Raster` | `getRaster(int x, int y, int width, int height)`
`AffineTransform` | `getUsr2Dev()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### usr2dev

    protected AffineTransform usr2dev

Constructor Detail

### PatternPaintContext

    public PatternPaintContext(ColorModel destCM,
                               AffineTransform usr2dev,
                               RenderingHints hints,
                               Filter tile,
                               Rectangle2D patternRegion,
                               boolean overflow)

Parameters:
  `destCM` - ColorModel that receives the paint data
  `usr2dev` - user space to device space transform
  `hints` - RenderingHints
  `patternRegion` - region tiled by this paint. In user space.
  `overflow` - controls whether the pattern region clips the pattern tile

Method Detail

### getUsr2Dev

    public AffineTransform getUsr2Dev()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `PaintContext`

### getColorModel

    public ColorModel getColorModel()

  Specified by:
    `getColorModel` in interface `PaintContext`

### getRaster

    public Raster getRaster(int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `getRaster` in interface `PaintContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.